<?php

namespace App\Filament\Resources\CashCategories\Schemas;

use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class CashCategoryForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            TextInput::make('name')->label('Nama')->required(),
            Select::make('type')->label('Tipe')
                ->options(['pemasukan' => 'Pemasukan', 'pengeluaran' => 'Pengeluaran'])
                ->required(),
        ]);
    }
}
